function nmax = plotsin(x, nmin, nmax )
%Plot six(x) for all the values of x in [nmin, nmax]
%Example of usage: 
% v = -1:0.1:10;
% plotsin(v, 0, 2*pi) 

% Solution to Exercise 6.10 of textbook
 
if isnumeric(x) % check if x contains numbers
    %if nmin<x(1) then nmin=x(1) 
    if nmin < x(1)
        nmin = x(1);
    end
    %if nmax>x(end) then nmax=x(end)
    if nmax > x(end)
        nmax = x(end);
    end
    
    % we create the logical mask x1 where each element is true if the corresponding 
    % element into x is in the range [nmin, nmax]
    x1 = (x >= nmin) & (x <= nmax);
    plot(x(x1), sin(x(x1)))
else
    disp('input x is not numeric');
end

end

