function [ r, theta ] = recpol( x, y )

% Transform rectangular coordinates (x,y) into polar
% coordinates (r,theta)
% If input parameters are not valid, then the output parameter will be -1 
% 
% Solution of Exercise 6.2 of textbook

if ( isnumeric(x) && isnumeric(y) && x>0 && y>0 ) 
        r = sqrt(x^2+y^2);
        theta = atan(y/x);
else
        r = -1;
        theta = 0; %the value of theta is not significative for r=-1;
end
    
end